babylon 5.0.0
03/31/2022 10:53 PM - Josip Almasi

Status: Closed Start date: 03/31/2022
Priority: High Due date:

Assignee: Josip Almasi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

... has been released.
Most of things seem to work well, except avatar auto-sizing, e.g. blake.

Related issues:
Related to Bug #125: gltf characters with babylon 5 Closed 06/01/2022

History

#1 - 03/31/2022 11:26 PM - Josip Almasi

Also grid material.

#2 - 03/31/2022 11:27 PM - Josip Almasi

- Status changed from New to In Progress

#3 - 04/04/2022 02:53 PM - Josip Almasi

Grid material is moved to babylon materials lib, fetched from cdn.

There's something very wrong with bone.getAbsolutePosition(), suggesting transformation hierarchy is off. As characters are automatically resized
based on head position, initial size gets unpredictable for some avatars. For some of these IK also gets wrong, possibly some rotation is missed.
Workaround for avatar size applied.

TODO report bug on babylon forum, playground first.

#4 - 04/14/2022 02:22 PM - Josip Almasi

https://forum.babylonjs.com/t/inconsistent-gltf-bone-transformations/29358

#5 - 05/11/2022 05:59 PM - Josip Almasi

Another related issue: https://forum.babylonjs.com/t/gltf-parsing-is-creating-doubles-and-reparenting-meshes/30079

#6 - 05/11/2022 06:01 PM - Josip Almasi
And some related documentation: https://doc.babylonjs.com/divingDeeper/importers/gITF/gITFSkinning

#7 - 06/01/2022 07:08 PM - Josip Almasi

- Status changed from In Progress to Resolved

handling related character issues in another issue

#8 - 06/01/2022 07:08 PM - Josip Almasi
- Related to Bug #125: gltf characters with babylon 5 added

#9 - 06/03/2022 11:09 AM - Josip Almasi

- Status changed from Resolved to Closed
